Name:           sear
Version:        0.6.4
Release:        0.9.g0b70ddb%{?dist}
Summary:        3D WorldForge client

Group:          Amusements/Games
License:        GPLv2+
URL:            http://www.worldforge.org
# sear is mostly dead and out of date, but the following will retrieve a much
# more recent version than the last official release (0.6.3). The suggested
# filename for the download from github ends up being
# worldforge-sear-sear-0_6_2-291-g0b70ddb.tar.gz
# Currently adding /worldforge-sear-sear-0_6_2-291-g0b70ddb.tar.gz to the end
# of the documented url works for github and is an easy way for rpmbuild
# to grab the right name.
# In spite of the naming, this is a post 0.6.3 tarball.
Source0:        https://github.com/worldforge/sear/tarball/0b70ddb963d6bead86e3/worldforge-sear-sear-0_6_2-291-g0b70ddb.tar.gz
Patch0:         sear-0.6.3-desktop.patch
Patch1:         sear-0.6.3-erisupgrade.patch
Patch2:         sear-0.6.4-mercatorupgrade.patch
Patch3:         sear-eris-api-change.patch
Patch4:         sear-missing-includes.patch
Patch5:         sear-lua-fix.patch
Patch6:         sear-compileopts.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  lib3ds-devel mercator-devel varconf-devel eris-devel sage-devel
BuildRequires:  cal3d-devel compat-guichan05-devel libmodelfile-devel libGLU-devel
BuildRequires:  pkgconfig libtiff-devel libjpeg-devel libpng-devel
BuildRequires:  SDL_image-devel SDL_mixer-devel libXt-devel
BuildRequires:  desktop-file-utils libwfut-devel guichan-devel lua-devel swig
BuildRequires:  libtool automake autoconf
Requires:       wfut sear-media

%description
Sear is a 3D client for the WorldForge roleplaying environment.  WorldForge
can be viewed as a MMORPG construction kit, providing a working 3D environment
in which quests and full games can be built.


%prep
%setup -q -n worldforge-sear-0b70ddb
%patch0 -p0 -b .desktop
%patch1 -p0 -b .erisupgrade
%patch2 -p0 -b .mercatorupgrade
%patch3 -p0 -b .erisapichange
%patch4 -p0 -b .missingincludes
%patch5 -p0 -b .luafix
%patch6 -p0 -b .compileopts
chmod a-x COPYING AUTHORS
chmod a-x */*.h
chmod a-x */*.cpp
chmod a-x */*.xpm

%build

# Since this isn't an actual release we need to do autotools stuff
./autogen.sh
%configure || cat config.log
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor="fedora" \
    --delete-original --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
    $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
mv $RPM_BUILD_ROOT%{_datadir}/icons/worldforge/sear_icon.xpm \
    $RPM_BUILD_ROOT%{_datadir}/pixmaps/


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/%{name}
%{_bindir}/%{name}-bin
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/sear_icon.xpm
# datadir/%{name} is owned by sear-media
%{_datadir}/%{name}/*


%changelog
* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.4-0.9.g0b70ddb
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri May 11 2012 Bruno Wolff III <bruno@wolff.to> - 0.6.4-0.8.g0b70ddb
- Rebuild for new libtiff

* Tue Mar 20 2012 Jon Ciesla <limburgher@gmail.com> - 0.6.4-0.7.g0b70ddb
- guichan rebuild.

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.4-0.6.g0b70ddb
- Rebuilt for c++ ABI breakage

* Sun Jan 22 2012 Bruno Wolff III <bruno@wolff.to> - 0.6.4-0.5.g0b70ddb
- Rebuild for wfmath soname bump

* Mon Jan 16 2012 Bruno Wolff III <bruno@wolff.to> - 0.6.4-0.4.g0b70ddb
- Explicitly buildrequires autotools stuff

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.4-0.3.g0b70ddb
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Nov 19 2011 Bruno Wolff III <bruno@wolff.to> - 0.6.4-0.2.g0b70ddb
- Rebuild for soname bumps with varconf 0.6.7 and eris-1.3.19

* Sun May 29 2011 Bruno Wolff III <bruno@wolff.to> - 0.6.4-0.1.g0b70ddb
- First crack at handling Eris API change
- Fix missing includes
- lua had header issues
- Use Fedora's optimization and warning level options

* Sun May 22 2011 Bruno Wolff III <bruno@wolff.to> - 0.6.4-0.1.g0b70ddb
- First crack at updating to current upstream develpoment with lots of fixes versus the latest release
- Repo switched to github
- Rework erisupdate patch to accept any higher version as well
- cal3d-paths patch is upstream
- The gcc 4.3 issues appear to have been fixed upstream
- The sigc2 changes appear to be upstream
- The gcc 4.4 issues appear to have been fixed upstream
- mercator is now version 0.3
- Remove overrides for guichan 0.5

* Tue May 10 2011 Tom Callaway <spot@fedoraproject.org> - 0.6.3-18
- Fix build against eris 1.3.16 and latest varconf

* Wed May 04 2011 Bruno Wolff III <bruno@wolff.to> - 0.6.3-17
- Rebuild for eris soname bump

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.3-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Oct 06 2009 Alexey Torkhov <atorkhov@gmail.com> - 0.6.3-15
- Rebuild for varconf interface version bump

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.3-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Feb 28 2009 Alexey Torkhov <atorkhov@gmail.com> - 0.6.3-13
- Fix build with recent compilers

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.3-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Aug 28 2008 Wart <wart at kobold.org> 0.6.3-11
- Rebuild for new mercator

* Sat Apr 5 2008 Wart <wart at kobold.org> 0.6.3-10
- Add patch for newer libsigc++ (BZ #440772)

* Mon Feb 11 2008 Wart <wart at kobold.org> 0.6.3-9
- Rebuild for gcc 4.3

* Tue Jan 1 2008 Wart <wart at kobold.org> 0.6.3-8
- Add patch to support locally installed media files from sear-media
  (BZ #425774)

* Tue Dec 18 2007 Wart <wart at kobold.org> 0.6.3-7
- Add patch to support eris-1.3.13

* Sat Nov 24 2007 Wart <wart at kobold.org> 0.6.3-6
- Better .desktop file categories

* Mon Aug 20 2007 Wart <wart at kobold.org> 0.6.3-5
- License tag clarification
- Better download URL

* Sun Apr 8 2007 Wart <wart at kobold.org> 0.6.3-4
- Update to use older compat-guichan05 library

* Tue Feb 20 2007 Wart <wart at kobold.org> 0.6.3-3
- Add requirement on sear-media
- Fix ownership of directories used in both sear and sear-media

* Sat Feb 17 2007 Wart <wart at kobold.org> 0.6.3-2
- Clean up .desktop and icon installations

* Wed Feb 7 2007 Wart <wart at kobold.org> 0.6.3-1
- Update to 0.6.3

* Mon Oct 2 2006 Wart <wart at kobold.org> 0.6.2-2
- Added dependency on wfut
- Removed unnecessary BR: for libsigc++20-devel
- Remove FC-4 specific bits from BR:
- Remove some spurious execute permission bits

* Wed Jul 7 2006 Wart <wart at kobold.org> 0.6.2-1
- Initial spec file for Fedora Extras
